import request from '@/utils/request'

// 创建门诊缴费
export function createMzjf(data) {
  return request({
    url: '/system/mzjf/create',
    method: 'post',
    data: data
  })
}

// 更新门诊缴费
export function updateMzjf(data) {
  return request({
    url: '/system/mzjf/update',
    method: 'put',
    data: data
  })
}

// 删除门诊缴费
export function deleteMzjf(id) {
  return request({
    url: '/system/mzjf/delete?id=' + id,
    method: 'delete'
  })
}

// 获得门诊缴费
export function getMzjf(id) {
  return request({
    url: '/system/mzjf/get?id=' + id,
    method: 'get'
  })
}

// 获得门诊缴费分页
export function getMzjfPage(query) {
  return request({
    url: '/system/mzjf/page',
    method: 'get',
    params: query
  })
}

// 导出门诊缴费 Excel
export function exportMzjfExcel(query) {
  return request({
    url: '/system/mzjf/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
